Class | Object
In: | yaml/rubytypes.rb
Parent: | Object

### Methods

to_yaml to_yaml_properties to_yaml_style

### Public Instance methods

to_yaml( opts = {} )

[Source]

    # File yaml/rubytypes.rb, line 14
            def to_yaml( opts = {} )
                    YAML::quick_emit( object_id, opts ) do |out|
                out.map( taguri, to_yaml_style ) do |map|
                                    to_yaml_properties.each do |m|
                        map.add( m[1..-1], instance_variable_get( m ) )
                    end
                end
            end
            end

to_yaml_properties()

[Source]

    # File yaml/rubytypes.rb, line 13
        def to_yaml_properties; instance_variables.sort; end

to_yaml_style()

[Source]

    # File yaml/rubytypes.rb, line 12
        def to_yaml_style; end

[Validate]